#ifndef unicode_big5_hh
#define unicode_big5_hh

#include "charsets.hh"

class big5 : public charset
{
    unsigned char cache;
    const class charmap *in;
    const class charmap *out;
public:
    big5(const class charmap *i, const class charmap *o) : cache(0), in(i), out(o) { }
    ~big5() { delete in; delete out; }
    virtual const wstring c2uni(const string &s, bool html=false);
    virtual const string uni2c(const wstring &s);
};

#endif
