#ifndef unicode_easycharset_hh
#define unicode_easycharset_hh

#include "charsets.hh"

class easycharset : public charset
{
    const class charmap *in;
    const class charmap *out;
public:
    easycharset(const class charmap *i, const class charmap *o) : in(i), out(o) { }
    virtual ~easycharset() { delete in; delete out; }
    
    virtual const wstring c2uni(const string &s, bool html=false);
    virtual const string uni2c(const wstring &s);
};

#endif
