#ifndef unicode_shift_jis_hh
#define unicode_shift_jis_hh

#include "charsets.hh"

class shift_jis : public charset
{
    unsigned char cache;
    const class charmap *in;
    const class charmap *out;
public:
    shift_jis(const class charmap *i, const class charmap *o) : cache(0), in(i), out(o) { }
    virtual ~shift_jis() { delete in; delete out; }
    
    virtual const wstring c2uni(const string &s, bool html=false);
    virtual const string uni2c(const wstring &s);
};

#endif
