#ifndef bqt_eucjp_hh
#define bqt_eucjp_hh

#include "charsets.hh"

#define eucjpEsc 0x1B
#define eucjpSS2 0x8E /* Single Shift 2 */
#define eucjpSS3 0x8F /* Single Shift 3 */
class eucjp : public charset
{
    unsigned char cache;
    enum eucstate { ascii, ss2, ss3a, ss3b, st208 };
    eucstate instate;
    charmap *jis201in, *jis201out;
    charmap *jis208in, *jis208out;
    charmap *jis212in, *jis212out;
public:
    eucjp();
    virtual ~eucjp();
    virtual const wstring c2uni(const string &s, bool html=false);
    virtual const string uni2c(const wstring &s);
};

#endif
