<?php
//TITLE=Character set and encoding converter

$title = 'Character set and encoding converter';
$progname = 'charconv';

$k='';foreach(file('/home/bisqwit/src/charconv/TODO') as $s)$k.=$s;

$text = array(
   '1. Purpose' => "

Converts text stream in one character set and encoding to another.


", '1. Supported character sets and encodings' => "

<pre class=smallerpre>
Usage: charconv [-h] &lt;incharset&gt; &lt;outcharset&gt;

Reads stdin, outputs stdout. Does incharset->outcharset conversion via unicode.

-h = Input is html (THIS BUGS)
Available character sets/encodings:
- unihtml (&amp;#number; codes)
- utf8linux (with vt100 escape codes)
- utf7mod (imap modified)
- koi8r          - jis-x-0201      - shift_jis       - big5
- iso-8859-1      - iso-8859-2      - iso-8859-3      - iso-8859-4
- iso-8859-5      - iso-8859-6      - iso-8859-7      - iso-8859-8
- iso-8859-9      - iso-8859-10     - iso-8859-13     - iso-8859-14
- iso-8859-15     - cp437           - cp737           - cp775
- cp850           - cp852           - cp855           - cp857
- cp860           - cp861           - cp862           - cp863
- cp864           - cp865           - cp866           - cp869
- cp874           - cp1250          - cp1252          - cp1254
- cp1256          - cp1258          - cp1251          - cp1253
- cp1255          - cp1257          - cp856           - cp1006
- cp424           - roman           - romanian        - iso-2022-jp
- utf8            - utf7            - euc-jp    

Typoes are allowed to some degree in the character set names,
and some general aliases like latin* and iso* are known.
</pre>

", '1. Copying' => "

charconv has been written by Joel Yliluoma, a.k.a.
<a href=\"http://bisqwit.stc.cx/\">Bisqwit</a>,<br>
and is distributed under the terms of the
<a href=\"http://www.gnu.org/licenses/licenses.html#GPL\">General Public License</a> (GPL).

", '1. Examples' => "

<pre class=smallerpre>".htmlspecialchars("
oktober:~/src/charconv\$ echo 'iti tykk oliiviljyst'|charconv latin1 utf7
+AMQ-iti tykk+AOQA5A oliivi+APY-ljyst+AOQ

oktober:~/src/charconv\$ echo '+AMQ-iti tykk+AOQA5A oliivi+APY-ljyst+AOQ'|charconv utf7 unihtml
&Auml;iti tykk&auml;&auml; oliivi&ouml;ljyst&auml;

oktober:~/src/charconv\$ echo 'pikachu' | sed -f /WWW/src/kr2k.sed | charconv sjis utf8
ぴかちゅ

oktober:~/src/charconv\$ echo '\33\$B\$P\$+\33(B' | charconv iso-2022-jp unihmtl
Charconv: Warning: Assuming 'unihmtl' means 'unihtml'
&#12400;&#12363;

oktober:~/src/charconv\$ echo '' | charconv cp1251 koi8r
Charconv: Warning: Assuming 'koi8r' means 'koi8-r'


")."</pre>

", '1. To do' => "

<pre class=smallerpre>".htmlspecialchars($k)."</pre>

", '1. Requirements' => "

charconv has been written in C++, utilizing the standard template library.<br>
The hashes the program uses have been heavily optimized
for both size and speed, with size being the top priority.
The compilation takes lots of memory and time therefore.<br>
GNU make is required.<br>
I have g++ version 3.0.1, and charconv compiles without warnings
(except some signed/unsigned mismatches).<br>
Some parts of makefiles have been generated
with a php script (included in the archive).
If you want to regenerate them, you need PHP 4 too.

", '1. See also' => "

<a href=\"http://www.gnu.org/software/recode/\">GNU Recode</a>:
This recoding library converts files between various coded character
sets and surface encodings.  When this cannot be achieved exactly, it
may get rid of the offending characters or fall back on approximations.
The library recognises or produces more than 300 different character
sets and is able to convert files between almost any pair.
Most RFC&nbsp;1345 character sets, and all
`<a href=\"http://www.gnu.org/software/libiconv/\">libiconv</a>'
character sets, are supported.
The `recode' program is a handy front-end to the library.

");
include '/WWW/progdesc.php';
